import React from "react";
import { connect } from "react-redux";
import { bindActionCreators } from "redux";
import PropTypes from "prop-types";
import AboutComponent from "./AboutComponent";
import TechnologiesComponent from "./TechnologiesComponent";
import { useDocumentation } from "../../../hooks";

const AboutContainer = () => {
  const { openDocumentation } = useDocumentation();
  return (
    <>
      <AboutComponent onOpenDocumentation={openDocumentation} />
      <br />
      <br />
      <TechnologiesComponent />
    </>
  );
};

AboutContainer.propTypes = {
  actions: PropTypes.object.isRequired
};

function mapStateToProps() {
  return {};
}

function mapDispatchToProps(dispatch) {
  return {
    actions: bindActionCreators({}, dispatch)
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(AboutContainer);
