import React from "react";
import PropTypes from "prop-types";
import ExpandableCard from "../../../../../../components/common/ExpandableCard";
import { useTranslation } from "react-i18next";
import FolderSpecialIcon from "@material-ui/icons/FolderSpecial";
import SpecificHeadersSummary from "./SpecificHeadersSummary";

const SpecificHeadersCard = ({ data }) => {
  const { t } = useTranslation();

  return (
    <ExpandableCard
      Icon={<FolderSpecialIcon />}
      title={t("Forward.Options.SpecificHeaders.Label")}
      subtitle={t("Forward.Options.SpecificHeaders.Tooltip")}
      expandable={false}
      Summary={<SpecificHeadersSummary data={data} />}
    />
  );
};

SpecificHeadersCard.propTypes = {
  data: PropTypes.object.isRequired
};

export default SpecificHeadersCard;
