import React from "react";
import PropTypes from "prop-types";
import { Grid } from "@material-ui/core";
import { useTranslation } from "react-i18next";
import ActiveIcon from "../../../../../../components/common/ActiveIcon";
import SpecificHeaderRules from "./SpecificHeaderRules";

const SpecificHeadersSummary = ({ data }) => {
  const { t } = useTranslation();
  return (
    <>
      <Grid container>
        <Grid item xs={6} sm={3} md={3}>
          {`${t("General.Enabled")}: `}
          <ActiveIcon active={data.on} />
        </Grid>
      </Grid>
      <br />
      <SpecificHeaderRules rules={data.rules} />
    </>
  );
};

SpecificHeadersSummary.propTypes = {
  data: PropTypes.object.isRequired
};

export default SpecificHeadersSummary;
