import React, { useEffect } from "react";
import { connect } from "react-redux";
import { bindActionCreators } from "redux";
import PropTypes from "prop-types";
import { loadSystemVersion } from "../actionCreators";
import SystemVersionComponent from "./SystemVersionComponent";

const SystemVersionContainer = ({ actions, data }) => {
  useEffect(() => {
    actions.loadSystemVersion();
  }, []);

  return <SystemVersionComponent data={data} />;
};

SystemVersionContainer.propTypes = {
  actions: PropTypes.object.isRequired,
  data: PropTypes.object.isRequired
};

function mapStateToProps(state) {
  return {
    data: state.system.version
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: bindActionCreators({ loadSystemVersion }, dispatch)
  };
}

export default connect(
  mapStateToProps,
  mapDispatchToProps
)(SystemVersionContainer);
